// swift-tools-version: 5.6
import PackageDescription

let package = Package(
    name: "Components",
		defaultLocalization: "en",
		platforms: [.iOS(.v15)],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(
            name: "Resources",
            targets: ["Resources"]),
    ],
    dependencies: [
			.package(url: "https://github.com/SwiftGen/SwiftGenPlugin", from: "6.6.0")
    ],
    targets: [
        // Targets are the basic building blocks of a package. A target can define a module or a test suite.
        // Targets can depend on other targets in this package, and on products in packages this package depends on.
        .target(
            name: "Resources",
            dependencies: [],
						plugins: [
							.plugin(name: "SwiftGenPlugin", package: "SwiftGenPlugin")
						]
				)
    ]
)
